## balazar3 0.1

=== debian/changelog ===
balazar3 (0.1-10) unstable; urgency=low

  * Properly depends on python-support in balazar3-common. Thanks to Jakub
    Wilk for the patch. Closes: #592072.
  * Bump Standards-Version. No changes required.

 -- Vincent Bernat <bernat@debian.org>  Sun, 08 Aug 2010 08:38:20 +0200

balazar3 (0.1-9) unstable; urgency=low

  * Turn back all binary packages to arch:all. Move Suggests back to
    balazar3-common and make it non-arch specific. This also indirectly
    closes: #581784, #581784.

 -- Vincent Bernat <bernat@debian.org>  Sun, 16 May 2010 16:41:12 +0200

balazar3 (0.1-8) unstable; urgency=low

  * Turn back balazar3-common into an arch:all package and move 'Suggests'
    in balazar3 package which becomes a arch:any package. Also adds a
    dependency from balazar3-common to balazar3.
  * Switch to 3.0 (quilt) format.
  * Move rsync to Build-Depends instead of Build-Depends-Indep since we
    now build arch:any package. Closes: #581728. Also fix debian/rules
    whose binary-arch section was empty.

 -- Vincent Bernat <bernat@debian.org>  Sat, 15 May 2010 13:45:41 +0200

balazar3 (0.1-7) unstable; urgency=low

  * Turn balazar3-common into an arch:any package since 'Suggests'
    contains an arch-specific dependency which is expanded during the
    build on the given arch. Closes: #581304.

 -- Vincent Bernat <bernat@debian.org>  Wed, 12 May 2010 19:33:06 +0200

balazar3 (0.1-6) unstable; urgency=low

  * Don't depend on Python 2.5 and use the default Python: Python 2.4 is
    not in Debian any more so we have at least Python 2.5. Thanks to Steve
    Langasek. Closes: #562793.
  * Bump Standards-Version. No changes required.

 -- Vincent Bernat <bernat@debian.org>  Sat, 30 Jan 2010 13:33:33 +0100

balazar3 (0.1-5) unstable; urgency=low

  * Depend on python-ogg instead of python-pyogg which is a transitional
    package. Closes: #522521.
  * Bump Standards-Version. No changes required.

 -- Vincent Bernat <bernat@debian.org>  Sun, 05 Jul 2009 09:30:53 +0200

balazar3 (0.1-4) unstable; urgency=low

  * Upload to unstable.
  * Bump Standards-Version. No changes required.

 -- Vincent Bernat <bernat@debian.org>  Fri, 20 Mar 2009 21:21:42 +0100

balazar3 (0.1-3) experimental; urgency=low

  * Add a patch to not use drivers not available (Closes: #504929). Also,
    don't ship files specific to a given version in -common package.
  * Add a lintian override about menu command not being in the package:
    the command is in balazar3-common.
  * Remove shlibs:Depends from binary dependencies since these are "Arch:
    all" packages.

 -- Vincent Bernat <bernat@debian.org>  Sat, 08 Nov 2008 10:22:06 +0100

balazar3 (0.1-2) experimental; urgency=low

  * Add a patch to put the default save game directory into the user home
    directory. Thanks to Josh Tripplet. Closes: #503750.

 -- Vincent Bernat <bernat@debian.org>  Tue, 28 Oct 2008 23:29:49 +0100

balazar3 (0.1-1) experimental; urgency=low

  * Initial release (Closes: #497443)

 -- Vincent Bernat <bernat@debian.org>  Sat, 27 Sep 2008 19:17:44 +0200
