=== debian/control ===
Source: balazar3
Section: games
Priority: optional
Maintainer: Vincent Bernat <bernat@debian.org>
Build-Depends: debhelper (>= 6.0.7~)
Build-Depends-Indep: python (>= 2.5), python-support (>= 0.3.2), rsync
Standards-Version: 3.9.1
Homepage: http://home.gna.org/oomadness/en/balazar_iii/index.html
Vcs-Browser: http://git.debian.org/?p=collab-maint/balazar3.git
Vcs-Git: git://git.debian.org/git/collab-maint/balazar3.git
XS-Python-Version: >= 2.5

Package: balazar3
Architecture: all
Depends: balazar3-3d (= ${binary:Version}) | balazar3-2d (= ${binary:Version}), ${misc:Depends}
Description: dungeon adventure game with multiplayer support
 Balazar III is a dungeon adventure game with multiplayer support. As
 you explore the dungeon, you'll gain magical objects, experience and
 powers, but also... curses ! Balazar III is based on the (French)
 comics "Le guide Balazar du mauvais sorcier" (Balazar's guide to bad
 sorcerers).
 .
 The game comes in two versions (which are network-compatible):
  - 3D version destined to computer gamers. The 3D version is
    graphically more beautiful, as it takes avantages of the nice
    cellshading algorithms of the Soya 3D engine.
  - 2D version, currently supporting 640x480 and 800x480 resolutions.
    It has been designed mainly for hand-held devices (Sharp Zaurus,
    Nokia N810, Openmoko Freerunner, Asus EEE PC, and the like),
    although it can be used on computer too. This version has been
    highly optimized so as it can be run in 640x480 on a Zaurus C1000
    (416 MHz ARM processor without graphics accelerators).
 .
 This package is a metapackage depending on the 3D version.

Package: balazar3-3d
Architecture: all
Depends: balazar3-common, python-soya (>= 0.14), python-ogg, python-pyvorbis, ${misc:Depends}
Replaces: balazar3-common (<= 0.1-2)
Conflicts: balazar3-common (<= 0.1-2)
Description: dungeon adventure game with multiplayer support - 3D version
 Balazar III is a dungeon adventure game with multiplayer support. As
 you explore the dungeon, you'll gain magical objects, experience and
 powers, but also... curses ! Balazar III is based on the (French)
 comics "Le guide Balazar du mauvais sorcier" (Balazar's guide to bad
 sorcerers).
 .
 The game comes in two versions (which are network-compatible):
  - 3D version destined to computer gamers. The 3D version is
    graphically more beautiful, as it takes avantages of the nice
    cellshading algorithms of the Soya 3D engine.
  - 2D version, currently supporting 640x480 and 800x480 resolutions.
    It has been designed mainly for hand-held devices (Sharp Zaurus,
    Nokia N810, Openmoko Freerunner, Asus EEE PC, and the like),
    although it can be used on computer too. This version has been
    highly optimized so as it can be run in 640x480 on a Zaurus C1000
    (416 MHz ARM processor without graphics accelerators).
 .
 This package provides the 3D version.

Package: balazar3-2d
Architecture: all
Depends: python-pygame, balazar3-common, ${misc:Depends}
Replaces: balazar3-common (<= 0.1-2)
Conflicts: balazar3-common (<= 0.1-2)
Description: dungeon adventure game with multiplayer support - 2D version
 Balazar III is a dungeon adventure game with multiplayer support. As
 you explore the dungeon, you'll gain magical objects, experience and
 powers, but also... curses ! Balazar III is based on the (French)
 comics "Le guide Balazar du mauvais sorcier" (Balazar's guide to bad
 sorcerers).
 .
 The game comes in two versions (which are network-compatible):
  - 3D version destined to computer gamers. The 3D version is
    graphically more beautiful, as it takes avantages of the nice
    cellshading algorithms of the Soya 3D engine.
  - 2D version, currently supporting 640x480 and 800x480 resolutions.
    It has been designed mainly for hand-held devices (Sharp Zaurus,
    Nokia N810, Openmoko Freerunner, Asus EEE PC, and the like),
    although it can be used on computer too. This version has been
    highly optimized so as it can be run in 640x480 on a Zaurus C1000
    (416 MHz ARM processor without graphics accelerators).
 .
 This package provides the 2D version.

Package: balazar3-common
Architecture: all
Depends: ${python:Depends}, python-cerealizer, ${misc:Depends}
Suggests: python-psyco
Description: dungeon adventure game with multiplayer support - common files
 Balazar III is a dungeon adventure game with multiplayer support. As
 you explore the dungeon, you'll gain magical objects, experience and
 powers, but also... curses ! Balazar III is based on the (French)
 comics "Le guide Balazar du mauvais sorcier" (Balazar's guide to bad
 sorcerers).
 .
 The game comes in two versions (which are network-compatible):
  - 3D version destined to computer gamers. The 3D version is
    graphically more beautiful, as it takes avantages of the nice
    cellshading algorithms of the Soya 3D engine.
  - 2D version, currently supporting 640x480 and 800x480 resolutions.
    It has been designed mainly for hand-held devices (Sharp Zaurus,
    Nokia N810, Openmoko Freerunner, Asus EEE PC, and the like),
    although it can be used on computer too. This version has been
    highly optimized so as it can be run in 640x480 on a Zaurus C1000
    (416 MHz ARM processor without graphics accelerators).
 .
 This package provides common files to 2D and 3D versions
