=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

VERSIONS:=3d 2d

prepare: prepare-stamp
prepare-stamp:
	dh_testdir
	mkdir build
	$(foreach version,$(VERSIONS),rsync -r --link-dest=. --exclude=build --exclude=debian . build/$(version) ;)
	touch $@

build: $(foreach version,$(VERSIONS), build-$(version))
$(foreach version,$(VERSIONS), build-$(version)): build-%: build-stamp-%
$(foreach version,$(VERSIONS), build-stamp-$(version)): build-stamp-%: prepare
	dh_testdir
	(cd build/$(patsubst build-stamp-%,%,$@)  && \
	 python setup.py build --$(patsubst build-stamp-%,%,$@))
	touch $@

install: $(foreach version,$(VERSIONS), install/$(version))
	# Put files in common in balazar3-common
	find debian -name '*.pyo' -print0 | xargs -0 rm
	find debian/balazar3-2d -type f -name '*_3d.py' -exec rm {} \;
	find debian/balazar3-3d -type f -name '*_2d.py' -exec rm {} \;
	find debian/balazar3-3d -type f -name '*_2d800x480.py' -exec rm {} \;
	(cd debian/balazar3-2d ; find usr/share/games/balazar3 -type f) | sort > debian/2d-files
	(cd debian/balazar3-3d ; find usr/share/games/balazar3 -type f) | sort > debian/3d-files
	echo usr/games/balazar3 >> debian/2d-files
	echo usr/games/balazar3 >> debian/3d-files
	diff -U 99999999 debian/2d-files debian/3d-files | grep '^ ' | while read file; do \
		[ -d debian/balazar3-common/$$(dirname $$file) ] || \
			mkdir -p debian/balazar3-common/$$(dirname $$file) ; \
		mv debian/balazar3-2d/$$file debian/balazar3-common/$$(dirname $$file) ; \
		rm debian/balazar3-3d/$$file ; \
	done
	# Run three times because directories become empty when removing empty subdirectories
	find debian/balazar3-2d debian/balazar3-3d -type d -empty -print0 | xargs -r0 rm -rf
	find debian/balazar3-2d debian/balazar3-3d -type d -empty -print0 | xargs -r0 rm -rf
	find debian/balazar3-2d debian/balazar3-3d -type d -empty -print0 | xargs -r0 rm -rf
$(foreach version,$(VERSIONS), install/$(version)): install/%:
	dh_testdir
	dh_testroot
	dh_installdirs
	(cd build/$(patsubst install/%,%,$@) && \
	 python setup.py install --$(patsubst install/%,%,$@) \
	       --install-scripts=/usr/games \
	       --install-purelib=/usr/share/games --install-data=/usr/share/games \
	       --root=$(CURDIR)/debian/balazar3-$(patsubst install/%,%,$@))
	rm debian/balazar3-$(patsubst install/%,%,$@)/usr/share/games/*.egg-info

binary-arch:
binary-indep: install
	dh_testdir
	dh_testroot
	dh_lintian
	dh_installchangelogs
	dh_installdocs README
	dh_install
	dh_installmenu
	dh_installman
	dh_strip
	dh_compress
	dh_pysupport /usr/share/games/balazar3
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

clean:
	dh_testdir
	dh_testroot
	rm -f $(foreach version,$(VERSIONS), build-stamp-$(version)) prepare-stamp
	rm -f debian/2d-files debian/3d-files
	rm -rf build
	dh_clean

binary: binary-indep
.PHONY: build clean binary-indep binary-arch binary install
