=== debian/watch ===
version=3
http://download.gna.org/balazar/ Balazar3-([\d.]+).tar.bz2
